declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();
$request = new Gr4vy\ListPaymentLinksRequest();
$responses = $sdk->paymentLinks->list(
request: $request
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}
from gr4vy import Gr4vy
import os
with Gr4vy(
merchant_account_id="default",
bearer_auth=os.getenv("GR4VY_BEARER_AUTH"),
) as g_client:
res = g_client.payment_links.list(limit=20)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentLinks.list();
for await (const page of result) {
console.log(page);
}
}
run();
declare(strict_types=1);
require 'vendor/autoload.php';
use Gr4vy;
$sdk = Gr4vy\SDK::builder()
->setId('example')
->setServer('sandbox')
->setSecuritySource(Auth::withToken($privateKey))
->setMerchantAccountId('default')
->build();
$request = new Gr4vy\ListPaymentLinksRequest();
$responses = $sdk->paymentLinks->list(
request: $request
);
foreach ($responses as $response) {
if ($response->statusCode === 200) {
// handle response
}
}
from gr4vy import Gr4vy
import os
with Gr4vy(
merchant_account_id="default",
bearer_auth=os.getenv("GR4VY_BEARER_AUTH"),
) as g_client:
res = g_client.payment_links.list(limit=20)
while res is not None:
# Handle items
res = res.next()
import { Gr4vy, withToken } from "@gr4vy/sdk";
import fs from "fs";
const gr4vy = new Gr4vy({
id: "example",
server: "sandbox",
merchantAccountId: "default",
bearerAuth: withToken({
privateKey: fs.readFileSync("private_key.pem", "utf8"),
}),
});
async function run() {
const result = await gr4vy.paymentLinks.list();
for await (const page of result) {
console.log(page);
}
}
run();
Filters the results to only payment links created before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.
Filters the results to only payment links created after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.
Filters the results to only payment links updated before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.
Filters the results to only payment links updated after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. 2022-01-01T12:00:00+08:00 must be encoded as 2022-01-01T12%3A00%3A00%2B08%3A00.
The cursor pointing at the previous page of items.
Required string length: 1 - 1000
Example:
"Xkjss7asS"
{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Gr4vy","colors":{"primary":"#0069ED","light":"#4D9CFF","dark":"#0050B4"},"logo":{"light":"https://mintcdn.com/gr4vy/C-VHOwze1nsWvoIJ/assets/logos/light.svg?fit=max\u0026auto=format\u0026n=C-VHOwze1nsWvoIJ\u0026q=85\u0026s=da88f997af34e79b3e79f3709aae9644","dark":"https://mintcdn.com/gr4vy/C-VHOwze1nsWvoIJ/assets/logos/dark.svg?fit=max\u0026auto=format\u0026n=C-VHOwze1nsWvoIJ\u0026q=85\u0026s=27b89279857756a5f227a13ee0a1b189"},"favicon":"https://mintcdn.com/gr4vy/XLLN6HK99HRHXH0y/assets/favicon.png?fit=max\u0026auto=format\u0026n=XLLN6HK99HRHXH0y\u0026q=85\u0026s=116d274b5cd8ceb0c7117eb1a816f49c","api":{"playground":{"display":"simple"},"examples":{"defaults":"required","languages":["csharp","go","java","php","python","javascript","curl"]},"mdx":{"auth":{"method":"bearer"},"server":["https://api.sandbox.{gr4vy_id}.gr4vy.app","https://api.{gr4vy_id}.gr4vy.app"]}},"navbar":{"links":[{"icon":"bell","href":"https://status.gr4vy.com","label":"Status"},{"icon":"github","href":"https://github.com/gr4vy","label":"GitHub"}],"primary":{"type":"button","label":"Gr4vy","href":"https://gr4vy.com/#form-contact"}},"footer":{"socials":{"website":"https://gr4vy.com","twitter":"https://twitter.com/Gr4vyInc","github":"https://github.com/gr4vy","linkedin":"https://www.linkedin.com/company/gr4vy-inc"},"links":[{"header":"About","items":[{"label":"Payment orchestration","href":"https://gr4vy.com/payment-orchestration"},{"label":"Gr4vy for merchants","href":"https://gr4vy.com/merchants"},{"label":"Gr4vy for platforms","href":"https://gr4vy.com/platforms"},{"label":"Increasing your revenue","href":"https://gr4vy.com/revenue"}]},{"header":"Developers","items":[{"label":"GitHub","href":"https://github.com/gr4vy"},{"label":"Latest news","href":"https://docs.gr4vy.com/updates"},{"label":"System status","href":"https://status.gr4vy.com"},{"label":"Customer support","href":"https://support.gr4vy.com"}]}]},"styling":{"eyebrows":"breadcrumbs","codeblocks":"system","latex":true},"integrations":{"gtm":{"tagId":"G-9CX4E9QWKQ"}},"contextual":{"options":["chatgpt","claude","copy","view"],"display":"header"},"interaction":{"drilldown":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"gr4vy","hasAudioNarration":false,"actualSubdomain":"gr4vy","customDomains":["docs.gr4vy.com"],"gitSource":{"type":"github","owner":"gr4vy","repo":"gr4vy-docs-mintlify","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":false,"edits":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af2065ebebe6d93c54ff6e8","clientVersion":"0.0.4094","searchFilterCounts":[{"language":"default","tag":"Build","count":180},{"language":"default","tag":"API Reference","count":171},{"language":"default","tag":"Connections","count":168},{"language":"default","tag":"Methods","count":141},{"language":"default","tag":"Features","count":95},{"language":"default","tag":"Integration guides","count":76},{"language":"default","tag":"Banking","count":46},{"language":"default","tag":"Dashboard","count":45},{"language":"default","tag":"Other","count":39},{"language":"default","tag":"Embed","count":38}]},"assistantConfig":{"enableAskAiButton":true,"enableStarterQuestions":true,"enableContextualStarterQuestions":true,"enableAskAiSearchBar":true,"deflection":{"enabled":true,"email":"support@gr4vy.com","showHelpButton":true}},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".payment-service-definition{background-color:white!important;border:1px solid #0a0e0d1a;border-radius:16px;padding:2em;vertical-align:middle}.payment-service-definition img{margin:0 1em 0 0;max-width:3em;display:inline-block}.payment-service-definition h2{margin:0;display:inline-block;position:relative;top:0.1em}#sidebar-title{text-transform:uppercase}#sidebar-group .group{flex-direction:row-reverse}#footer .max-w-36{max-width:40rem}"}],"page":{"pagePath":"reference/payment-links/list-payment-links","slug":"/reference/payment-links/list-payment-links","pageMetadata":{"openapi":"openapi.speakeasy.json GET /payment-links","title":"List all payment links","description":"List all created payment links.","href":"/reference/payment-links/list-payment-links"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"List all created payment links.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,..._provideComponents(),...props.components};return _jsxs(_components.p,{children:[`This endpoint requires the `,_jsx(_components.code,{children:`payment-links.read`}),` scope.`]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":"system","config":{},"pageMetadata":{"openapi":"openapi.speakeasy.json GET /payment-links","title":"List all payment links","description":"List all created payment links.","href":"/reference/payment-links/list-payment-links"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/gr4vy/3dae7fbd0bb305c9/posthog.js"],"openApiReferenceData":{"operation":{"tags":["Payment links"],"summary":"List all payment links","description":"List all created payment links.","operationId":"list_payment_links","parameters":["864c2fc4-dae8-4094-8f5b-ee86b94f3731","27a4a168-e53e-4b9b-a750-d431e46aa1ee","9f9e40a9-d404-4e5c-8c12-0b47c837c0aa","5eb3720c-2eb5-42b5-88d6-cfd264c24688","849e4e0f-fbf3-472f-aae7-0806a7ab04d6","3db66e64-fa69-4c65-b560-bd0e751d1024","310cb91a-54a1-42b0-87e7-026f816e1b8e","ad716507-8615-4b93-9b28-6aa648431cdb","ff54766f-a548-4aeb-9b99-6c0481fc489f","2709739c-aec4-443f-854d-c9ada7daa42b","805a2394-0a4b-4413-8376-43f313f2b568","61be6536-4774-48e5-a33e-fd9ceed0d29d","31f60575-ddf7-4fc1-9948-d85669185371"],"responses":{"200":"b085aeeb-8b7b-40c6-822a-ab8464cd01e0","400":"365c2419-d045-4486-9443-6339837fd2f8","401":"fb7f3089-499d-4c92-bfa1-1ed5da407afb","403":"bb066bf8-484f-40a5-8d90-a93aa4d9b0c7","404":"8401efa5-0bda-49e7-9e06-f8bc3e9f51cc","405":"3243fba6-443d-4046-bbe3-779af28fe8b7","409":"b40bcca5-568a-4f18-9e09-db438bdc0286","422":"f4f71390-a88a-4dc6-86bf-37113b0b5cf9","425":"a589c550-6581-4713-86a6-912391cb2475","429":"b8733a43-c9f2-43c5-86ec-041b3e09522e","500":"d7996ea9-d205-4e98-94ef-4da978a9078f","502":"b1af0701-943d-4ea7-bd1a-da4b91d358ba","504":"cd16fa8d-44b8-4027-a854-967fea27f02f"},"x-speakeasy-name-override":"list","x-speakeasy-group":"payment-links","x-speakeasy-pagination":{"type":"cursor","inputs":[{"name":"cursor","in":"parameters","type":"cursor"}],"outputs":{"nextCursor":"$.next_cursor"}},"x-speakeasy-retries":{"strategy":"backoff","backoff":{"initialInterval":200,"maxInterval":200,"maxElapsedTime":1000,"exponent":1},"statusCodes":["5XX"],"retryConnectionErrors":true},"x-codeSamples":[{"lang":"php","label":"PHP","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n$request = new Gr4vy\\ListPaymentLinksRequest();\n\n$responses = $sdk->paymentLinks->list(\n request: $request\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"},{"lang":"go","label":"Go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vy.New(\n\t\tgr4vy.WithID(\"example\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentLinks.List(ctx, operations.ListPaymentLinksRequest{})\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"lang":"javascript","label":"TypeScript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentLinks.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"lang":"java","label":"Java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListPaymentLinksRequest;\nimport com.gr4vy.sdk.models.operations.ListPaymentLinksResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"example\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n ListPaymentLinksRequest req = ListPaymentLinksRequest.builder()\n .build();\n\n\n sdk.paymentLinks().list()\n .callAsStream()\n .forEach((ListPaymentLinksResponse item) -> {\n // handle page\n });\n\n }\n}"},{"lang":"python","label":"Python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n merchant_account_id=\"default\",\n bearer_auth=os.getenv(\"GR4VY_BEARER_AUTH\"),\n) as g_client:\n\n res = g_client.payment_links.list(limit=20)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"lang":"csharp","label":"C#","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentLinksRequest req = new ListPaymentLinksRequest() {};\n\nListPaymentLinksResponse? res = await sdk.PaymentLinks.ListAsync(req);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"}],"method":"get","type":"path","servers":["4dbe5ae9-55f4-4ac3-829b-cbea2aca8890","d3b3f24a-e3bd-48ac-b9b5-4b5990077288"],"security":["40e2c25b-6f55-41b5-a840-718e8fbd2b5d"],"path":"/payment-links","baseUrlOptions":["https://api.sandbox.{id}.gr4vy.app","https://api.{id}.gr4vy.app"],"title":"List all payment links","codeSamples":[{"label":"PHP","lang":"php","source":"declare(strict_types=1);\n\nrequire 'vendor/autoload.php';\n\nuse Gr4vy;\n\n$sdk = Gr4vy\\SDK::builder()\n ->setId('example')\n ->setServer('sandbox')\n ->setSecuritySource(Auth::withToken($privateKey))\n ->setMerchantAccountId('default')\n ->build();\n\n$request = new Gr4vy\\ListPaymentLinksRequest();\n\n$responses = $sdk->paymentLinks->list(\n request: $request\n);\n\n\nforeach ($responses as $response) {\n if ($response->statusCode === 200) {\n // handle response\n }\n}"},{"label":"Go","lang":"go","source":"package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tgr4vygo \"github.com/gr4vy/gr4vy-go\"\n\t\"github.com/gr4vy/gr4vy-go/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n ctx := context.Background()\n\n s := gr4vy.New(\n\t\tgr4vy.WithID(\"example\"),\n\t\tgr4vy.WithServer(gr4vy.ServerSandbox),\n\t\tgr4vy.WithSecuritySource(withToken),\n\t\tgr4vy.WithMerchantAccountID(\"default\"),\n\t)\n\n res, err := s.PaymentLinks.List(ctx, operations.ListPaymentLinksRequest{})\n if err != nil {\n log.Fatal(err)\n }\n if res != nil {\n for {\n // handle items\n\n res, err = res.Next()\n\n if err != nil {\n // handle error\n }\n\n if res == nil {\n break\n }\n }\n }\n}"},{"label":"TypeScript","lang":"javascript","source":"import { Gr4vy, withToken } from \"@gr4vy/sdk\";\nimport fs from \"fs\";\n\nconst gr4vy = new Gr4vy({\n id: \"example\",\n server: \"sandbox\",\n merchantAccountId: \"default\",\n bearerAuth: withToken({\n privateKey: fs.readFileSync(\"private_key.pem\", \"utf8\"),\n }),\n});\n\nasync function run() {\n const result = await gr4vy.paymentLinks.list();\n\n for await (const page of result) {\n console.log(page);\n }\n}\n\nrun();"},{"label":"Java","lang":"java","source":"package hello.world;\n\nimport com.gr4vy.sdk.Gr4vy;\nimport com.gr4vy.sdk.models.errors.*;\nimport com.gr4vy.sdk.models.operations.ListPaymentLinksRequest;\nimport com.gr4vy.sdk.models.operations.ListPaymentLinksResponse;\nimport java.lang.Exception;\n\npublic class Application {\n\n public static void main(String[] args) throws Exception {\n\n Gr4vy sdk = Gr4vy.builder()\n .id(\"example\")\n .server(AvailableServers.SANDBOX)\n .merchantAccountId(\"default\")\n .securitySource(new BearerSecuritySource.Builder(privateKey).build())\n .build();\n\n ListPaymentLinksRequest req = ListPaymentLinksRequest.builder()\n .build();\n\n\n sdk.paymentLinks().list()\n .callAsStream()\n .forEach((ListPaymentLinksResponse item) -> {\n // handle page\n });\n\n }\n}"},{"label":"Python","lang":"python","source":"from gr4vy import Gr4vy\nimport os\n\n\nwith Gr4vy(\n merchant_account_id=\"default\",\n bearer_auth=os.getenv(\"GR4VY_BEARER_AUTH\"),\n) as g_client:\n\n res = g_client.payment_links.list(limit=20)\n\n while res is not None:\n # Handle items\n\n res = res.next()"},{"label":"C#","lang":"csharp","source":"using Gr4vy;\nusing Gr4vy.Models.Components;\nusing Gr4vy.Models.Requests;\n\nvar sdk = new Gr4vySDK(\n id: \"example\",\n server: SDKConfig.Server.Sandbox,\n bearerAuthSource: Auth.WithToken(privateKey),\n merchantAccountId: \"default\"\n);\n\nListPaymentLinksRequest req = new ListPaymentLinksRequest() {};\n\nListPaymentLinksResponse? res = await sdk.PaymentLinks.ListAsync(req);\n\nwhile(res != null)\n{\n // handle items\n\n res = await res.Next!();\n}"}],"requestExampleLanguages":["csharp","go","java","php","python","javascript","bash"],"requiredOnlyExamples":true,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"864c2fc4-dae8-4094-8f5b-ee86b94f3731":{"name":"cursor","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","title":"Cursor","description":"A pointer to the page of results to return.","example":"ZXhhbXBsZTE","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"description":"A pointer to the page of results to return."},"27a4a168-e53e-4b9b-a750-d431e46aa1ee":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","maximum":100,"minimum":1,"description":"The maximum number of items that are returned.","examples":[20],"default":20,"title":"Limit","isRequired":false,"uniqueKey":"","typeLabel":"integer"},"description":"The maximum number of items that are returned."},"9f9e40a9-d404-4e5c-8c12-0b47c837c0aa":{"name":"created_at_lte","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Created At Lte","description":"Filters the results to only payment links created before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`.","format":"date-time","example":"2022-01-01T12:00:00+08:00","uniqueKey":"oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Created At Lte","description":"Filters the results to only payment links created before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`.","example":"2022-01-01T12:00:00+08:00","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate-time> | null"},"description":"Filters the results to only payment links created before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`."},"5eb3720c-2eb5-42b5-88d6-cfd264c24688":{"name":"created_at_gte","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Created At Gte","description":"Filters the results to only payment links created after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`.","format":"date-time","example":"2022-01-01T12:00:00+08:00","uniqueKey":"oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Created At Gte","description":"Filters the results to only payment links created after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`.","example":"2022-01-01T12:00:00+08:00","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate-time> | null"},"description":"Filters the results to only payment links created after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`."},"849e4e0f-fbf3-472f-aae7-0806a7ab04d6":{"name":"updated_at_lte","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Updated At Lte","description":"Filters the results to only payment links updated before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`.","format":"date-time","example":"2022-01-01T12:00:00+08:00","uniqueKey":"oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Updated At Lte","description":"Filters the results to only payment links updated before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`.","example":"2022-01-01T12:00:00+08:00","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate-time> | null"},"description":"Filters the results to only payment links updated before this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`."},"3db66e64-fa69-4c65-b560-bd0e751d1024":{"name":"updated_at_gte","in":"query","required":false,"schema":{"oneOf":[{"type":"string","title":"Updated At Gte","description":"Filters the results to only payment links updated after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`.","format":"date-time","example":"2022-01-01T12:00:00+08:00","uniqueKey":"oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Updated At Gte","description":"Filters the results to only payment links updated after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`.","example":"2022-01-01T12:00:00+08:00","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string\u003cdate-time> | null"},"description":"Filters the results to only payment links updated after this ISO date-time string. The time zone must be included. Ensure that the date-time string is URL encoded, e.g. `2022-01-01T12:00:00+08:00` must be encoded as `2022-01-01T12%3A00%3A00%2B08%3A00`."},"310cb91a-54a1-42b0-87e7-026f816e1b8e":{"name":"currency","in":"query","required":false,"schema":{"oneOf":[{"type":"array","items":{"type":"string","pattern":"^[A-Z]{3}$","examples":["EUR","GBP","USD"],"uniqueKey":"oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Currency","description":"Filters for payment links that have matching `currency` values. The `currency` values provided must be formatted as 3-letter ISO currency codes.","example":["USD"],"uniqueKey":"oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Currency","description":"Filters for payment links that have matching `currency` values. The `currency` values provided must be formatted as 3-letter ISO currency codes.","example":["USD"],"uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string[] | null"},"description":"Filters for payment links that have matching `currency` values. The `currency` values provided must be formatted as 3-letter ISO currency codes."},"ad716507-8615-4b93-9b28-6aa648431cdb":{"name":"amount_eq","in":"query","required":false,"schema":{"oneOf":[{"type":"integer","title":"Amount Eq","description":"Filters for payment links that have an `amount` equal to this value.","maximum":2147483647,"minimum":0,"example":1299,"uniqueKey":"oneOf.0","typeLabel":"integer"},{"type":"null","title":"Amount Eq","description":"Filters for payment links that have an `amount` equal to this value.","example":1299,"uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"integer | null"},"description":"Filters for payment links that have an `amount` equal to this value."},"ff54766f-a548-4aeb-9b99-6c0481fc489f":{"name":"amount_gte","in":"query","required":false,"schema":{"oneOf":[{"type":"integer","title":"Amount Gte","description":"Filters for payment links that have an `amount` greater than or equal to this value.","maximum":2147483647,"minimum":0,"example":1299,"uniqueKey":"oneOf.0","typeLabel":"integer"},{"type":"null","title":"Amount Gte","description":"Filters for payment links that have an `amount` greater than or equal to this value.","example":1299,"uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"integer | null"},"description":"Filters for payment links that have an `amount` greater than or equal to this value."},"2709739c-aec4-443f-854d-c9ada7daa42b":{"name":"amount_lte","in":"query","required":false,"schema":{"oneOf":[{"type":"integer","title":"Amount Lte","description":"Filters for payment links that have an `amount` less than or equal to this value.","maximum":2147483647,"minimum":0,"example":1299,"uniqueKey":"oneOf.0","typeLabel":"integer"},{"type":"null","title":"Amount Lte","description":"Filters for payment links that have an `amount` less than or equal to this value.","example":1299,"uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"integer | null"},"description":"Filters for payment links that have an `amount` less than or equal to this value."},"805a2394-0a4b-4413-8376-43f313f2b568":{"name":"status","in":"query","required":false,"schema":{"oneOf":[{"type":"array","items":{"type":"string","title":"PaymentLinkStatus","uniqueKey":"oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Status","description":"Filters the results to only the payment links that have a `status` that matches with any of the provided status values.","example":"active","uniqueKey":"oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Status","description":"Filters the results to only the payment links that have a `status` that matches with any of the provided status values.","example":"active","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string[] | null"},"description":"Filters the results to only the payment links that have a `status` that matches with any of the provided status values."},"61be6536-4774-48e5-a33e-fd9ceed0d29d":{"name":"buyer_search","in":"query","required":false,"schema":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Buyer Search","description":"Filters the results to only get the items for which some of the buyer data contains exactly the provided `buyer_search` values.","example":["John","London"],"uniqueKey":"oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Buyer Search","description":"Filters the results to only get the items for which some of the buyer data contains exactly the provided `buyer_search` values.","example":["John","London"],"uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string[] | null"},"description":"Filters the results to only get the items for which some of the buyer data contains exactly the provided `buyer_search` values."},"31f60575-ddf7-4fc1-9948-d85669185371":{"name":"x-gr4vy-merchant-account-id","in":"header","required":false,"description":"The ID of the merchant account to use for this request.","x-speakeasy-name-override":"merchant_account_id","schema":{"type":"string","description":"The ID of the merchant account to use for this request.","examples":["default"],"title":"X-Gr4Vy-Merchant-Account-Id","isRequired":false,"uniqueKey":"","typeLabel":"string"}}},"responses":{"b085aeeb-8b7b-40c6-822a-ab8464cd01e0":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"items":{"items":{"properties":{"id":{"type":"string","format":"uuid","title":"Id","description":"The unique identifier for the payment link.","examples":["a1b2c3d4-5678-90ab-cdef-1234567890ab"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"url":{"type":"string","title":"Url","description":"The URL for the payment link.","examples":["https://example.com/link/a1b2c3d4-5678-90ab-cdef-1234567890ab"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].url","typeLabel":"string"},"amount":{"type":"integer","maximum":99999999,"minimum":0,"title":"Amount","description":"The amount for the payment link.","examples":[1299],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].amount","typeLabel":"integer"},"country":{"type":"string","pattern":"^[A-Z]{2}$","title":"Country","description":"The country code for the payment link.","examples":["DE","GB","US"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].country","typeLabel":"string"},"currency":{"type":"string","pattern":"^[A-Z]{3}$","title":"Currency","description":"The currency code for the payment link.","examples":["EUR","GBP","USD"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].currency","typeLabel":"string"},"intent":{"type":"string","title":"TransactionIntent","description":"The transaction intent for the payment link.","examples":["authorize","capture"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].intent","typeLabel":"string"},"cart_items":{"oneOf":[{"type":"array","items":{"properties":{"name":{"type":"string","maxLength":255,"minLength":1,"title":"Name","description":"The name of the cart item. The value you set for this property may be truncated if the maximum length accepted by a payment service provider is less than 255 characters.","examples":["GoPro HD"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].name","typeLabel":"string"},"quantity":{"type":"integer","maximum":99999999,"exclusiveMinimum":0,"title":"Quantity","description":"The quantity of this item in the cart. This value cannot be negative or zero.","examples":[2],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].quantity","typeLabel":"integer"},"unit_amount":{"type":"integer","maximum":99999999,"minimum":0,"title":"Unit Amount","description":"The amount for an individual item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`. The amount sent through to the payment processor as unitary amount will be calculated to include the discount and tax values sent as part of this cart item.","examples":[1299],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].unit_amount","typeLabel":"integer"},"discount_amount":{"oneOf":[{"type":"integer","title":"Discount Amount","description":"The amount discounted for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`.","default":0,"maximum":99999999,"minimum":0,"example":0,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].discount_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Discount Amount","description":"The amount discounted for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`.","default":0,"example":0,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].discount_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].discount_amount","typeLabel":"integer | null"},"tax_amount":{"oneOf":[{"type":"integer","title":"Tax Amount","description":"The tax amount for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`.","default":0,"maximum":99999999,"minimum":0,"example":0,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].tax_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Tax Amount","description":"The tax amount for this item represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` USD cents represents `$12.99`.","default":0,"example":0,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].tax_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].tax_amount","typeLabel":"integer | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"An external identifier for the cart item. This can be set to any value and is not sent to the payment service.","maxLength":200,"minLength":1,"example":"goprohd","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"An external identifier for the cart item. This can be set to any value and is not sent to the payment service.","example":"goprohd","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].external_identifier","typeLabel":"string | null"},"sku":{"oneOf":[{"type":"string","title":"Sku","description":"The SKU or product code for the item.","maxLength":200,"minLength":1,"example":"GPHD1078","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].sku.oneOf.0","typeLabel":"string"},{"type":"null","title":"Sku","description":"The SKU or product code for the item.","example":"GPHD1078","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].sku.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].sku","typeLabel":"string | null"},"upc":{"oneOf":[{"type":"string","title":"Upc","description":"The UPC for the item.","maxLength":50,"minLength":1,"example":"012345678905","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].upc.oneOf.0","typeLabel":"string"},{"type":"null","title":"Upc","description":"The UPC for the item.","example":"012345678905","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].upc.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].upc","typeLabel":"string | null"},"product_url":{"oneOf":[{"type":"string","title":"Product Url","description":"The product URL for the item.","example":"https://example.com/catalog/go-pro-hd","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Product Url","description":"The product URL for the item.","example":"https://example.com/catalog/go-pro-hd","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_url","typeLabel":"string | null"},"image_url":{"oneOf":[{"type":"string","title":"Image Url","description":"The URL for the image of the item.","example":"https://example.com/images/go-pro-hd.jpg","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].image_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Image Url","description":"The URL for the image of the item.","example":"https://example.com/images/go-pro-hd.jpg","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].image_url","typeLabel":"string | null"},"categories":{"oneOf":[{"type":"array","items":{"type":"string","maxLength":50,"minLength":1,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].categories.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Categories","description":"A list of strings containing product categories for the item.","example":["camera","travel","gear"],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].categories.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Categories","description":"A list of strings containing product categories for the item.","example":["camera","travel","gear"],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].categories.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].categories","typeLabel":"string[] | null"},"subcategories":{"oneOf":[{"type":"array","items":{"type":"string","maxLength":50,"minLength":1,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].subcategories.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Subcategories","description":"A list of strings containing product subcategories for the item.","example":["action-cameras"],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].subcategories.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Subcategories","description":"A list of strings containing product subcategories for the item.","example":["action-cameras"],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].subcategories.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].subcategories","typeLabel":"string[] | null"},"brand":{"oneOf":[{"type":"string","title":"Brand","description":"The brand of the item.","maxLength":255,"minLength":1,"example":"GoPro","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].brand.oneOf.0","typeLabel":"string"},{"type":"null","title":"Brand","description":"The brand of the item.","example":"GoPro","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].brand.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].brand","typeLabel":"string | null"},"product_type":{"oneOf":[{"type":"string","title":"ProductType","description":"The product type of the cart item.","example":"physical","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_type.oneOf.0","typeLabel":"string"},{"type":"null","description":"The product type of the cart item.","example":"physical","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].product_type","typeLabel":"string | null"},"seller_country":{"oneOf":[{"type":"string","title":"Seller Country","description":"The seller country of the cart item.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].seller_country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Seller Country","description":"The seller country of the cart item.","example":"US","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].seller_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].seller_country","typeLabel":"string | null"},"tax_exempt":{"oneOf":[{"type":"boolean","title":"Tax Exempt","description":"Whether the item is exempt of tax.","example":false,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].tax_exempt.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Tax Exempt","description":"Whether the item is exempt of tax.","example":false,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].tax_exempt.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].tax_exempt","typeLabel":"boolean | null"},"unit_of_measure":{"oneOf":[{"type":"string","title":"Unit Of Measure","description":"The unit of measure or the unit of measure code.","maxLength":50,"minLength":1,"example":"feet","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].unit_of_measure.oneOf.0","typeLabel":"string"},{"type":"null","title":"Unit Of Measure","description":"The unit of measure or the unit of measure code.","example":"feet","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].unit_of_measure.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].unit_of_measure","typeLabel":"string | null"},"commodity_code":{"oneOf":[{"type":"string","title":"Commodity Code","description":"Item commodity code. Generally a UNSPSC code.","maxLength":50,"minLength":1,"example":"43211503","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].commodity_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Commodity Code","description":"Item commodity code. Generally a UNSPSC code.","example":"43211503","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].commodity_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].commodity_code","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","title":"Description","description":"Brief item description.","maxLength":255,"minLength":1,"example":"A brief description of an interesting item.","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","description":"Brief item description.","example":"A brief description of an interesting item.","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"duty_amount":{"oneOf":[{"type":"integer","title":"Duty Amount","description":"Item import or export duties represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` cents to create an authorization for `$12.99`","maximum":99999999,"minimum":0,"example":1299,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].duty_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Duty Amount","description":"Item import or export duties represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` cents to create an authorization for `$12.99`","example":1299,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].duty_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].duty_amount","typeLabel":"integer | null"},"shipping_amount":{"oneOf":[{"type":"integer","title":"Shipping Amount","description":"Freight/shipping amount represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` cents to create an authorization for `$12.99`","maximum":99999999,"minimum":0,"example":1299,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].shipping_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Shipping Amount","description":"Freight/shipping amount represented as a monetary amount in the smallest currency unit for the given currency, for example `1299` cents to create an authorization for `$12.99`","example":1299,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].shipping_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX].shipping_amount","typeLabel":"integer | null"}},"additionalProperties":false,"type":"object","required":["name","quantity","unit_amount"],"title":"CartItem","uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0.items.[INDEX]","typeLabel":"CartItem · object"},"title":"Cart Items","description":"The cart items for the payment link.","example":[{"amount":{"currency":"USD","value":500},"name":"Widget","quantity":2}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.0","typeLabel":"CartItem · object[]"},{"type":"null","title":"Cart Items","description":"The cart items for the payment link.","example":[{"amount":{"currency":"USD","value":500},"name":"Widget","quantity":2}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].cart_items","typeLabel":"CartItem · object[] | null"},"airline":{"oneOf":[{"type":"object","title":"Airline","description":"The airline addendum data which describes the airline booking associated with this payment link.","properties":{"booking_code":{"oneOf":[{"type":"string","title":"Booking Code","description":"The unique identifier of the reservation in the global distribution system.","maxLength":50,"minLength":1,"example":"X36Q9C","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.booking_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Booking Code","description":"The unique identifier of the reservation in the global distribution system.","example":"X36Q9C","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.booking_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.booking_code","typeLabel":"string | null"},"is_cardholder_traveling":{"oneOf":[{"type":"boolean","title":"Is Cardholder Traveling","description":"Indicates whether the cardholder is traveling.","example":true,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.is_cardholder_traveling.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Is Cardholder Traveling","description":"Indicates whether the cardholder is traveling.","example":true,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.is_cardholder_traveling.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.is_cardholder_traveling","typeLabel":"boolean | null"},"issued_address":{"oneOf":[{"type":"string","title":"Issued Address","description":"The address of the place/agency that issued the ticket.","maxLength":255,"minLength":1,"example":"123 Broadway, New York","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issued_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Issued Address","description":"The address of the place/agency that issued the ticket.","example":"123 Broadway, New York","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issued_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issued_address","typeLabel":"string | null"},"issued_at":{"oneOf":[{"type":"string","title":"Issued At","description":"The date that the ticket was last issued in the airline reservation system.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issued_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Issued At","description":"The date that the ticket was last issued in the airline reservation system.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issued_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issued_at","typeLabel":"string\u003cdate-time> | null"},"issuing_carrier_code":{"oneOf":[{"type":"string","title":"Issuing Carrier Code","description":"For airline aggregators, three-character IATA code of the airline issuing the ticket.","maxLength":3,"minLength":2,"example":"649","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_carrier_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Issuing Carrier Code","description":"For airline aggregators, three-character IATA code of the airline issuing the ticket.","example":"649","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_carrier_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_carrier_code","typeLabel":"string | null"},"issuing_carrier_name":{"oneOf":[{"type":"string","title":"Issuing Carrier Name","description":"For airline aggregators, name of the airline issuing the ticket.","minLength":1,"example":"Air Transat A.T. Inc","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_carrier_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Issuing Carrier Name","description":"For airline aggregators, name of the airline issuing the ticket.","example":"Air Transat A.T. Inc","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_carrier_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_carrier_name","typeLabel":"string | null"},"issuing_iata_designator":{"oneOf":[{"type":"string","title":"Issuing Iata Designator","description":"For airline aggregators, two-character IATA code of the airline issuing the ticket.","maxLength":2,"minLength":2,"example":"TS","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_iata_designator.oneOf.0","typeLabel":"string"},{"type":"null","title":"Issuing Iata Designator","description":"For airline aggregators, two-character IATA code of the airline issuing the ticket.","example":"TS","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_iata_designator.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_iata_designator","typeLabel":"string | null"},"issuing_icao_code":{"oneOf":[{"type":"string","title":"Issuing Icao Code","description":"For airline aggregators, three-character ICAO code of the airline issuing the ticket.","maxLength":3,"minLength":3,"example":"TSC","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_icao_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Issuing Icao Code","description":"For airline aggregators, three-character ICAO code of the airline issuing the ticket.","example":"TSC","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_icao_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.issuing_icao_code","typeLabel":"string | null"},"legs":{"oneOf":[{"type":"array","items":{"properties":{"arrival_airport":{"oneOf":[{"type":"string","title":"Arrival Airport","description":"Arrival airport code of leg. 3-letter ISO code according to IATA official directory.","maxLength":3,"minLength":3,"example":"LAX","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_airport.oneOf.0","typeLabel":"string"},{"type":"null","title":"Arrival Airport","description":"Arrival airport code of leg. 3-letter ISO code according to IATA official directory.","example":"LAX","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_airport.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_airport","typeLabel":"string | null"},"arrival_at":{"oneOf":[{"type":"string","title":"Arrival At","description":"The date and time of travel in local time at the arrival airport.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Arrival At","description":"The date and time of travel in local time at the arrival airport.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_at","typeLabel":"string\u003cdate-time> | null"},"arrival_city":{"oneOf":[{"type":"string","title":"Arrival City","description":"Arrival city name.","maxLength":100,"minLength":1,"example":"Los Angeles","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_city.oneOf.0","typeLabel":"string"},{"type":"null","title":"Arrival City","description":"Arrival city name.","example":"Los Angeles","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_city.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_city","typeLabel":"string | null"},"arrival_country":{"oneOf":[{"type":"string","title":"Arrival Country","description":"Arrival country code in ISO 3166 format.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Arrival Country","description":"Arrival country code in ISO 3166 format.","example":"US","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].arrival_country","typeLabel":"string | null"},"carrier_code":{"oneOf":[{"type":"string","title":"Carrier Code","description":"3 character airline code as set by IATA.","maxLength":3,"minLength":2,"example":"649","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].carrier_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Carrier Code","description":"3 character airline code as set by IATA.","example":"649","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].carrier_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].carrier_code","typeLabel":"string | null"},"carrier_name":{"oneOf":[{"type":"string","title":"Carrier Name","description":"Name of the airline.","minLength":1,"example":"Air Transat A.T. Inc","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].carrier_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Carrier Name","description":"Name of the airline.","example":"Air Transat A.T. Inc","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].carrier_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].carrier_name","typeLabel":"string | null"},"iata_designator":{"oneOf":[{"type":"string","title":"Iata Designator","description":"Two-character IATA code of the airline.","maxLength":2,"minLength":2,"example":"TS","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].iata_designator.oneOf.0","typeLabel":"string"},{"type":"null","title":"Iata Designator","description":"Two-character IATA code of the airline.","example":"TS","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].iata_designator.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].iata_designator","typeLabel":"string | null"},"icao_code":{"oneOf":[{"type":"string","title":"Icao Code","description":"Three-character ICAO code of the airline.","maxLength":3,"minLength":3,"example":"TSC","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].icao_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Icao Code","description":"Three-character ICAO code of the airline.","example":"TSC","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].icao_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].icao_code","typeLabel":"string | null"},"coupon_number":{"oneOf":[{"type":"string","title":"Coupon Number","description":"Coupon number associated with the leg.","maxLength":50,"minLength":1,"example":"15885566","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].coupon_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Coupon Number","description":"Coupon number associated with the leg.","example":"15885566","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].coupon_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].coupon_number","typeLabel":"string | null"},"departure_airport":{"oneOf":[{"type":"string","title":"Departure Airport","description":"Departure airport code of leg. 3-letter ISO code according to IATA official directory.","maxLength":3,"minLength":3,"example":"LHR","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_airport.oneOf.0","typeLabel":"string"},{"type":"null","title":"Departure Airport","description":"Departure airport code of leg. 3-letter ISO code according to IATA official directory.","example":"LHR","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_airport.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_airport","typeLabel":"string | null"},"departure_at":{"oneOf":[{"type":"string","title":"Departure At","description":"The date and time of travel in local time at the departure airport.","format":"date-time","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Departure At","description":"The date and time of travel in local time at the departure airport.","example":"2013-07-16T19:23:00.000+00:00","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_at","typeLabel":"string\u003cdate-time> | null"},"departure_city":{"oneOf":[{"type":"string","title":"Departure City","description":"Departure city name.","maxLength":100,"minLength":1,"example":"London","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_city.oneOf.0","typeLabel":"string"},{"type":"null","title":"Departure City","description":"Departure city name.","example":"London","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_city.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_city","typeLabel":"string | null"},"departure_country":{"oneOf":[{"type":"string","title":"Departure Country","description":"Departure airport code of leg. 3-letter ISO code according to IATA official directory.","pattern":"^[A-Z]{2}$","example":"GB","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Departure Country","description":"Departure airport code of leg. 3-letter ISO code according to IATA official directory.","example":"GB","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_country.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_country","typeLabel":"string | null"},"departure_tax_amount":{"oneOf":[{"type":"integer","title":"Departure Tax Amount","description":"Departure tax amount charged by a country when a person is leaving the country.","maximum":99999999,"minimum":0,"example":1200,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_tax_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Departure Tax Amount","description":"Departure tax amount charged by a country when a person is leaving the country.","example":1200,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_tax_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].departure_tax_amount","typeLabel":"integer | null"},"fare_amount":{"oneOf":[{"type":"integer","title":"Fare Amount","description":"Amount of the ticket, for current leg of the trip, excluding taxes and fees.","maximum":99999999,"minimum":0,"example":129900,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].fare_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Fare Amount","description":"Amount of the ticket, for current leg of the trip, excluding taxes and fees.","example":129900,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].fare_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].fare_amount","typeLabel":"integer | null"},"fare_basis_code":{"oneOf":[{"type":"string","title":"Fare Basis Code","description":"The alphanumeric code for the booking class of a ticket.","maxLength":8,"minLength":1,"example":"FY","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].fare_basis_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Fare Basis Code","description":"The alphanumeric code for the booking class of a ticket.","example":"FY","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].fare_basis_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].fare_basis_code","typeLabel":"string | null"},"fee_amount":{"oneOf":[{"type":"integer","title":"Fee Amount","description":"Fee amount for current leg of the trip.","maximum":99999999,"minimum":0,"example":1200,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].fee_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Fee Amount","description":"Fee amount for current leg of the trip.","example":1200,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].fee_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].fee_amount","typeLabel":"integer | null"},"flight_class":{"oneOf":[{"type":"string","title":"Flight Class","description":"Indicates service class (first class, business class, etc.).","maxLength":5,"minLength":1,"example":"E","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].flight_class.oneOf.0","typeLabel":"string"},{"type":"null","title":"Flight Class","description":"Indicates service class (first class, business class, etc.).","example":"E","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].flight_class.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].flight_class","typeLabel":"string | null"},"flight_number":{"oneOf":[{"type":"string","title":"Flight Number","description":"Unique identifier of the flight number.","maxLength":6,"minLength":3,"example":"101","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].flight_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Flight Number","description":"Unique identifier of the flight number.","example":"101","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].flight_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].flight_number","typeLabel":"string | null"},"route_type":{"oneOf":[{"type":"string","title":"Route Type","description":"The route type of the flight.","example":"round_trip","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].route_type.oneOf.0","typeLabel":"string"},{"type":"null","title":"Route Type","description":"The route type of the flight.","example":"round_trip","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].route_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].route_type","typeLabel":"string | null"},"seat_class":{"oneOf":[{"type":"string","title":"Seat Class","description":"Indicates seat class (first class, business class, etc.).","maxLength":5,"minLength":1,"example":"F","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].seat_class.oneOf.0","typeLabel":"string"},{"type":"null","title":"Seat Class","description":"Indicates seat class (first class, business class, etc.).","example":"F","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].seat_class.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].seat_class","typeLabel":"string | null"},"stop_over":{"oneOf":[{"type":"boolean","title":"Stop Over","description":"Indicates whether a stopover is allowed on this ticket.","example":false,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].stop_over.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Stop Over","description":"Indicates whether a stopover is allowed on this ticket.","example":false,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].stop_over.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].stop_over","typeLabel":"boolean | null"},"tax_amount":{"oneOf":[{"type":"integer","title":"Tax Amount","description":"Amount of the taxes for current leg of the trip.","maximum":99999999,"minimum":0,"example":1200,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].tax_amount.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Tax Amount","description":"Amount of the taxes for current leg of the trip.","example":1200,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].tax_amount.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX].tax_amount","typeLabel":"integer | null"}},"additionalProperties":false,"type":"object","title":"AirlineLeg","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0.items.[INDEX]","typeLabel":"AirlineLeg · object"},"title":"Legs","description":"An array of separate trip segments. Each leg contains detailed itinerary information.","maxItems":20,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.0","typeLabel":"AirlineLeg · object[]"},{"type":"null","title":"Legs","description":"An array of separate trip segments. Each leg contains detailed itinerary information.","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.legs","typeLabel":"AirlineLeg · object[] | null"},"passenger_name_record":{"oneOf":[{"type":"string","title":"Passenger Name Record","description":"The Passenger Name Record (PNR) in the airline reservation system.","maxLength":50,"minLength":1,"example":"JOHN L","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passenger_name_record.oneOf.0","typeLabel":"string"},{"type":"null","title":"Passenger Name Record","description":"The Passenger Name Record (PNR) in the airline reservation system.","example":"JOHN L","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passenger_name_record.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passenger_name_record","typeLabel":"string | null"},"passengers":{"oneOf":[{"type":"array","items":{"properties":{"age_group":{"oneOf":[{"type":"string","title":"Age Group","description":"The age group for the passenger.","example":"adult","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].age_group.oneOf.0","typeLabel":"string"},{"type":"null","title":"Age Group","description":"The age group for the passenger.","example":"adult","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].age_group.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].age_group","typeLabel":"string | null"},"date_of_birth":{"oneOf":[{"type":"string","title":"Date Of Birth","description":"The passenger's date of birth in YYYY-MM-YY format.","format":"date","example":"2013-07-16","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].date_of_birth.oneOf.0","typeLabel":"string\u003cdate>"},{"type":"null","title":"Date Of Birth","description":"The passenger's date of birth in YYYY-MM-YY format.","example":"2013-07-16","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].date_of_birth.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].date_of_birth","typeLabel":"string\u003cdate> | null"},"email_address":{"oneOf":[{"type":"string","title":"Email Address","description":"The email address of the passenger.","maxLength":320,"minLength":1,"example":"john@example.com","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].email_address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Email Address","description":"The email address of the passenger.","example":"john@example.com","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].email_address.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].email_address","typeLabel":"string | null"},"first_name":{"oneOf":[{"type":"string","title":"First Name","description":"The first name(s) or given name of the passenger.","maxLength":255,"minLength":1,"example":"John","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].first_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"First Name","description":"The first name(s) or given name of the passenger.","example":"John","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].first_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].first_name","typeLabel":"string | null"},"frequent_flyer_number":{"oneOf":[{"type":"string","title":"Frequent Flyer Number","description":"The passenger's frequent flyer number.","maxLength":50,"minLength":5,"example":"15885566","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].frequent_flyer_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Frequent Flyer Number","description":"The passenger's frequent flyer number.","example":"15885566","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].frequent_flyer_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].frequent_flyer_number","typeLabel":"string | null"},"last_name":{"oneOf":[{"type":"string","title":"Last Name","description":"The last name, or family name, of the passenger.","maxLength":255,"minLength":1,"example":"Luhn","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].last_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Last Name","description":"The last name, or family name, of the passenger.","example":"Luhn","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].last_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].last_name","typeLabel":"string | null"},"passport_number":{"oneOf":[{"type":"string","title":"Passport Number","description":"The passenger's unique passport number.","maxLength":50,"minLength":1,"example":"11117700225","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].passport_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Passport Number","description":"The passenger's unique passport number.","example":"11117700225","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].passport_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].passport_number","typeLabel":"string | null"},"phone_number":{"oneOf":[{"type":"string","title":"Phone Number","description":"The phone number of the passenger. This number is formatted according to the E164 number standard.","pattern":"^\\+[1-9]\\d{1,14}$","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].phone_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone Number","description":"The phone number of the passenger. This number is formatted according to the E164 number standard.","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].phone_number","typeLabel":"string | null"},"ticket_number":{"oneOf":[{"type":"string","title":"Ticket Number","description":"The ticket number for a flight.","maxLength":50,"minLength":1,"example":"BA1236699999","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].ticket_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Ticket Number","description":"The ticket number for a flight.","example":"BA1236699999","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].ticket_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].ticket_number","typeLabel":"string | null"},"title":{"oneOf":[{"type":"string","title":"Title","description":"Title of the passenger.","maxLength":50,"minLength":1,"example":"Mr.","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].title.oneOf.0","typeLabel":"string"},{"type":"null","title":"Title","description":"Title of the passenger.","example":"Mr.","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].title.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].title","typeLabel":"string | null"},"country_code":{"oneOf":[{"type":"string","title":"Country Code","description":"The country of residence of the passenger","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].country_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country Code","description":"The country of residence of the passenger","example":"US","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX].country_code","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","title":"AirlinePassenger","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0.items.[INDEX]","typeLabel":"AirlinePassenger · object"},"title":"Passengers","description":"An array of the travelling passengers.","maxItems":20,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.0","typeLabel":"AirlinePassenger · object[]"},{"type":"null","title":"Passengers","description":"An array of the travelling passengers.","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.passengers","typeLabel":"AirlinePassenger · object[] | null"},"reservation_system":{"oneOf":[{"type":"string","title":"Reservation System","description":"The name of the reservation system.","maxLength":200,"minLength":1,"example":"Amadeus","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.reservation_system.oneOf.0","typeLabel":"string"},{"type":"null","title":"Reservation System","description":"The name of the reservation system.","example":"Amadeus","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.reservation_system.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.reservation_system","typeLabel":"string | null"},"restricted_ticket":{"oneOf":[{"type":"boolean","title":"Restricted Ticket","description":"Indicates whether the ticket is restricted (refundable).","example":false,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.restricted_ticket.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Restricted Ticket","description":"Indicates whether the ticket is restricted (refundable).","example":false,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.restricted_ticket.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.restricted_ticket","typeLabel":"boolean | null"},"ticket_delivery_method":{"oneOf":[{"type":"string","title":"Ticket Delivery Method","description":"The delivery method of the ticket.","default":"electronic","example":"electronic","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.ticket_delivery_method.oneOf.0","typeLabel":"string"},{"type":"null","title":"Ticket Delivery Method","description":"The delivery method of the ticket.","default":"electronic","example":"electronic","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.ticket_delivery_method.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.ticket_delivery_method","typeLabel":"string | null"},"ticket_number":{"oneOf":[{"type":"string","title":"Ticket Number","description":"The airline's unique ticket number.","maxLength":50,"minLength":1,"example":"123-1234-151555","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.ticket_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Ticket Number","description":"The airline's unique ticket number.","example":"123-1234-151555","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.ticket_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.ticket_number","typeLabel":"string | null"},"travel_agency_code":{"oneOf":[{"type":"string","title":"Travel Agency Code","description":"The IATA travel agency code.","maxLength":50,"minLength":1,"example":"12345","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Travel Agency Code","description":"The IATA travel agency code.","example":"12345","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_code","typeLabel":"string | null"},"travel_agency_invoice_number":{"oneOf":[{"type":"string","title":"Travel Agency Invoice Number","description":"The reference number of the invoice that was issued by the travel agency.","maxLength":50,"minLength":1,"example":"EG15555155","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_invoice_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Travel Agency Invoice Number","description":"The reference number of the invoice that was issued by the travel agency.","example":"EG15555155","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_invoice_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_invoice_number","typeLabel":"string | null"},"travel_agency_name":{"oneOf":[{"type":"string","title":"Travel Agency Name","description":"The name of the travel agency.","maxLength":200,"minLength":1,"example":"ACME Agency","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Travel Agency Name","description":"The name of the travel agency.","example":"ACME Agency","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_name","typeLabel":"string | null"},"travel_agency_plan_name":{"oneOf":[{"type":"string","title":"Travel Agency Plan Name","description":"The name of the travel agency plan.","maxLength":200,"minLength":1,"example":"B733","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_plan_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Travel Agency Plan Name","description":"The name of the travel agency plan.","example":"B733","uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_plan_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0.travel_agency_plan_name","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.0","typeLabel":"Airline · object"},{"type":"null","description":"The airline addendum data which describes the airline booking associated with this payment link.","isRequired":true,"uniqueKey":"\\items.items.[INDEX].airline.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].airline","typeLabel":"Airline · object | null"},"payment_source":{"type":"string","title":"TransactionPaymentSource","description":"The payment source for the payment link.","examples":["ecommerce"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].payment_source","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","title":"Created At","description":"The date and time the payment link was created.","examples":["2024-05-30T12:34:56.000Z"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"The date and time the payment link was last updated.","examples":["2024-05-30T13:00:00.000Z"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].updated_at","typeLabel":"string\u003cdate-time>"},"status":{"type":"string","title":"PaymentLinkStatus","description":"The status of the payment link.","examples":["active","expired","completed"],"isRequired":true,"uniqueKey":"\\items.items.[INDEX].status","typeLabel":"string"},"type":{"type":"string","const":"payment-link","title":"Type","description":"Always `payment-link`.","default":"payment-link","examples":["payment-link"],"uniqueKey":"\\items.items.[INDEX].type","typeLabel":"string"},"expires_at":{"oneOf":[{"type":"string","title":"Expires At","description":"The expiration date and time for the payment link.","format":"date-time","example":"2024-06-01T00:00:00.000Z","uniqueKey":"\\items.items.[INDEX].expires_at.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Expires At","description":"The expiration date and time for the payment link.","example":"2024-06-01T00:00:00.000Z","uniqueKey":"\\items.items.[INDEX].expires_at.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].expires_at","typeLabel":"string\u003cdate-time> | null"},"external_identifier":{"oneOf":[{"type":"string","title":"External Identifier","description":"The merchant reference for the payment link.","maxLength":200,"minLength":1,"example":"external-12345","uniqueKey":"\\items.items.[INDEX].external_identifier.oneOf.0","typeLabel":"string"},{"type":"null","title":"External Identifier","description":"The merchant reference for the payment link.","example":"external-12345","uniqueKey":"\\items.items.[INDEX].external_identifier.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].external_identifier","typeLabel":"string | null"},"statement_descriptor":{"oneOf":[{"type":"object","title":"StatementDescriptor","description":"The statement descriptor for the payment link.","properties":{"name":{"oneOf":[{"type":"string","title":"Name","description":"Reflects your doing business as (DBA) name.","maxLength":22,"minLength":5,"example":"ACME","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Name","description":"Reflects your doing business as (DBA) name.","example":"ACME","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.name","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","title":"Description","description":"A short description about the purchase.","maxLength":22,"minLength":5,"example":"ACME San Jose Electronics","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.description.oneOf.0","typeLabel":"string"},{"type":"null","title":"Description","description":"A short description about the purchase.","example":"ACME San Jose Electronics","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.description.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.description","typeLabel":"string | null"},"city":{"oneOf":[{"type":"string","title":"City","description":"The merchant's city to be displayed in a statement descriptor.","maxLength":50,"minLength":1,"example":"San Jose","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.city.oneOf.0","typeLabel":"string"},{"type":"null","title":"City","description":"The merchant's city to be displayed in a statement descriptor.","example":"San Jose","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.city.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.city","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","title":"Country","description":"The 2-letter ISO country code of the merchant to be displayed in a statement descriptor.","pattern":"^[A-Z]{2}$","example":"US","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","title":"Country","description":"The 2-letter ISO country code of the merchant to be displayed in a statement descriptor.","example":"US","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.country","typeLabel":"string | null"},"phone_number":{"oneOf":[{"type":"string","title":"Phone Number","description":"The value in the phone number field of a customer's statement which should be formatted according to the E164 number standard.","pattern":"^\\+[1-9]\\d{1,14}$","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.phone_number.oneOf.0","typeLabel":"string"},{"type":"null","title":"Phone Number","description":"The value in the phone number field of a customer's statement which should be formatted according to the E164 number standard.","example":"+1234567890","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.phone_number.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.phone_number","typeLabel":"string | null"},"url":{"oneOf":[{"type":"string","title":"Url","description":"The merchant's URL to be displayed in a statement descriptor.","maxLength":50,"minLength":1,"example":"www.example.com","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Url","description":"The merchant's URL to be displayed in a statement descriptor.","example":"www.example.com","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.url","typeLabel":"string | null"},"postal_code":{"oneOf":[{"type":"string","title":"Postal Code","description":"The merchant's postal code or zip code.","maxLength":50,"minLength":1,"example":"94560","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.postal_code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Postal Code","description":"The merchant's postal code or zip code.","example":"94560","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.postal_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0.postal_code","typeLabel":"string | null"}},"additionalProperties":false,"uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.0","typeLabel":"StatementDescriptor · object"},{"type":"null","description":"The statement descriptor for the payment link.","uniqueKey":"\\items.items.[INDEX].statement_descriptor.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].statement_descriptor","typeLabel":"StatementDescriptor · object | null"},"locale":{"oneOf":[{"type":"string","title":"Locale","description":"The locale for the payment link.","example":"en","uniqueKey":"\\items.items.[INDEX].locale.oneOf.0","typeLabel":"string"},{"type":"null","title":"Locale","description":"The locale for the payment link.","example":"en","uniqueKey":"\\items.items.[INDEX].locale.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].locale","typeLabel":"string | null"},"merchant_name":{"oneOf":[{"type":"string","title":"Merchant Name","description":"The merchant's display name.","maxLength":100,"minLength":1,"example":"ACME Inc.","uniqueKey":"\\items.items.[INDEX].merchant_name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Name","description":"The merchant's display name.","example":"ACME Inc.","uniqueKey":"\\items.items.[INDEX].merchant_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_name","typeLabel":"string | null"},"merchant_url":{"oneOf":[{"type":"string","title":"Merchant Url","description":"The merchant's website URL.","example":"https://merchant.example.com","uniqueKey":"\\items.items.[INDEX].merchant_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Url","description":"The merchant's website URL.","example":"https://merchant.example.com","uniqueKey":"\\items.items.[INDEX].merchant_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_url","typeLabel":"string | null"},"merchant_banner_url":{"oneOf":[{"type":"string","title":"Merchant Banner Url","description":"The merchant's banner image URL.","example":"https://merchant.example.com/banner.png","uniqueKey":"\\items.items.[INDEX].merchant_banner_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Banner Url","description":"The merchant's banner image URL.","example":"https://merchant.example.com/banner.png","uniqueKey":"\\items.items.[INDEX].merchant_banner_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_banner_url","typeLabel":"string | null"},"merchant_color":{"oneOf":[{"type":"string","title":"Merchant Color","description":"The merchant's brand color.","maxLength":100,"minLength":1,"example":"#FF5733","uniqueKey":"\\items.items.[INDEX].merchant_color.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Color","description":"The merchant's brand color.","example":"#FF5733","uniqueKey":"\\items.items.[INDEX].merchant_color.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_color","typeLabel":"string | null"},"merchant_message":{"oneOf":[{"type":"string","title":"Merchant Message","description":"A message from the merchant.","maxLength":255,"minLength":1,"example":"Thank you for your purchase!","uniqueKey":"\\items.items.[INDEX].merchant_message.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Message","description":"A message from the merchant.","example":"Thank you for your purchase!","uniqueKey":"\\items.items.[INDEX].merchant_message.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_message","typeLabel":"string | null"},"merchant_terms_and_conditions_url":{"oneOf":[{"type":"string","title":"Merchant Terms And Conditions Url","description":"URL to the merchant's terms and conditions.","example":"https://merchant.example.com/terms","uniqueKey":"\\items.items.[INDEX].merchant_terms_and_conditions_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Terms And Conditions Url","description":"URL to the merchant's terms and conditions.","example":"https://merchant.example.com/terms","uniqueKey":"\\items.items.[INDEX].merchant_terms_and_conditions_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_terms_and_conditions_url","typeLabel":"string | null"},"merchant_favicon_url":{"oneOf":[{"type":"string","title":"Merchant Favicon Url","description":"URL to the merchant's favicon.","example":"https://merchant.example.com/favicon.ico","uniqueKey":"\\items.items.[INDEX].merchant_favicon_url.oneOf.0","typeLabel":"string"},{"type":"null","title":"Merchant Favicon Url","description":"URL to the merchant's favicon.","example":"https://merchant.example.com/favicon.ico","uniqueKey":"\\items.items.[INDEX].merchant_favicon_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"\\items.items.[INDEX].merchant_favicon_url","typeLabel":"string | null"},"return_url":{"oneOf":[{"type":"string","title":"Return Url","description":"The return U
[...]
